/**
 * Copyright  2010 Nokia Corporation. All rights reserved. Nokia and Nokia    
 * Connecting People are registered trademarks of Nokia Corporation. Java 
 * and all Java-based marks are trademarks or registered trademarks of 
 * Sun Microsystems, Inc. Other product and company names mentioned herein 
 * may be trademarks or trade names of their respective owners. Subject to the 
 * conditions below, you may, without charge: 
 *   Use, copy, modify and/or merge copies of this software and associated 
 *    documentation files (the Software) 
 *   Publish, distribute, sub-license and/or sell new software derived from or
 *    incorporating the Software. 
 * 
 * This license, unmodified, shall be included with all copies or substantial 
 * portions of the Software that are distributed in source code form. 
 * 
 * The Software cannot constitute the primary value of any new software derived 
 * from or incorporating the Software.Any person dealing with the Software 
 * shall not misrepresent the source of the Software. 
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING 
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS 
 * IN THE SOFTWARE. 
*/

// PACKAGE
package com.nokia.example.ui;

// EXTERNAL IMPORTS
import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.AlertType;
import javax.microedition.lcdui.Alert;

/**
 * Alert note which can be used to display different types
 * of alert notes (errors, notifications and warnings) for
 * the user
 */
public class AlertNote extends Alert
{
    // Next displayable after the alarm has completed
    private Displayable nextDisplayable;

    /**
     * Constructor
     */
    public AlertNote(
        String argTitle,
        String argMessage,
        AlertType argType,
        Displayable argNextDisplayable)
    {
        super(argTitle, argMessage, null, argType);

        nextDisplayable = argNextDisplayable;

        setTimeout(Alert.FOREVER);
    }

    /**
     * Executes this alarm note. After the note has been acknowledged
     * the view is switched to the view which created this alert note
     */
    public void execute()
    {
        // It is not possible to return from an alert to an alert
        if (!(nextDisplayable instanceof Alert))
        {
            ViewHandler.getDisplay().setCurrent(this, nextDisplayable);
        }
    }
}

// End of File
