/**
 * Copyright  2010 Nokia Corporation. All rights reserved. Nokia and Nokia    
 * Connecting People are registered trademarks of Nokia Corporation. Java 
 * and all Java-based marks are trademarks or registered trademarks of 
 * Sun Microsystems, Inc. Other product and company names mentioned herein 
 * may be trademarks or trade names of their respective owners. Subject to the 
 * conditions below, you may, without charge: 
 *   Use, copy, modify and/or merge copies of this software and associated 
 *    documentation files (the Software) 
 *   Publish, distribute, sub-license and/or sell new software derived from or
 *    incorporating the Software. 
 * 
 * This license, unmodified, shall be included with all copies or substantial 
 * portions of the Software that are distributed in source code form. 
 * 
 * The Software cannot constitute the primary value of any new software derived 
 * from or incorporating the Software.Any person dealing with the Software 
 * shall not misrepresent the source of the Software. 
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING 
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS 
 * IN THE SOFTWARE. 
*/

// PACKAGE
package com.nokia.example.ui;

// EXTERNAL IMPORTS
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Form;
import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Displayable;

/**
 * Displays information from the specified service guide item
 */
public class HelpContainer extends Form implements CommandListener
{
    // Next displayable
    private Displayable nextDisplayable;
    // Display of the application
    private Display display;
    // Commands
    private Command cmdBack;

    /**
     * Constructor
     */
    public HelpContainer(
        String argTitle,
        Displayable argNextDisplayable,
        String argHelpText)
    {
        super(argTitle);

        nextDisplayable = argNextDisplayable;
        display = ViewHandler.getDisplay();

        cmdBack = new Command("Back", Command.BACK, 2);

        addCommand(cmdBack);
        append(argHelpText);

        setCommandListener(this);
        display.setCurrent(this);
    }

    /**
     * Handles command which is delegated to this object
     * @param argCommand Command to handle
     * @param argDisplayable View owning this view
     */
    public void commandAction(Command argCommand, Displayable argDisplayable)
    {
        if (argCommand == cmdBack)
        {
            display.setCurrent(nextDisplayable);
        }
    }
}

// End of File
