/**
 * Copyright  2010 Nokia Corporation. All rights reserved. Nokia and Nokia    
 * Connecting People are registered trademarks of Nokia Corporation. Java 
 * and all Java-based marks are trademarks or registered trademarks of 
 * Sun Microsystems, Inc. Other product and company names mentioned herein 
 * may be trademarks or trade names of their respective owners. Subject to the 
 * conditions below, you may, without charge: 
 *   Use, copy, modify and/or merge copies of this software and associated 
 *    documentation files (the Software) 
 *   Publish, distribute, sub-license and/or sell new software derived from or
 *    incorporating the Software. 
 * 
 * This license, unmodified, shall be included with all copies or substantial 
 * portions of the Software that are distributed in source code form. 
 * 
 * The Software cannot constitute the primary value of any new software derived 
 * from or incorporating the Software.Any person dealing with the Software 
 * shall not misrepresent the source of the Software. 
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING 
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS 
 * IN THE SOFTWARE. 
 */
// PACKAGE
package com.nokia.example.ui;

// INTERNAL IMPORTS
import com.nokia.example.engine.SubscriptionController;

// EXTERNAL IMPORTS
import javax.microedition.broadcast.esg.CommonMetadataSet;
import javax.microedition.broadcast.esg.DataUnavailableException;
import javax.microedition.broadcast.purchase.PurchaseObject;
import javax.microedition.lcdui.Image;
import java.io.IOException;

/**
 * Shows information about subscribed purchase objects.
 */
public class SubscribedObjectsView extends PurchaseObjectsView {
    // Constants

    /**
     * Constructor
     */
    SubscribedObjectsView() {
        super();

        setTitle("Purchased objects");
    }

    /**
     * Asks subscribed purchase objects from the engine and updates the list.
     */
    protected synchronized void reloadPurchaseObjects() {
        Image varPurchasedImage = null;

        Class varTempClass = getClass();

        try {
            varPurchasedImage = Image.createImage(
                    varTempClass.getResourceAsStream(PURCHASED_IMAGE));
        } catch (IOException ioe) {
            // Ignored, no icons shown for the user.
            ioe.printStackTrace();
        }

        deleteAll();
        purchaseObjects.removeAllElements();

        PurchaseObject[] varObjects = controller.getSubscriptions();

        for (int varIndex = 0; varIndex < varObjects.length; varIndex++) {
            String varName;

            try {
                varName = (String) varObjects[varIndex].getStringValue(
                        CommonMetadataSet.PURCHASE_ITEM_NAME);
            } catch (DataUnavailableException due) {
                varName = "(no name)";
            }

            purchaseObjects.addElement(varObjects[varIndex]);
            append(varName, varPurchasedImage);
        }
    }
}

// End of File

