/**
 * Copyright  2010 Nokia Corporation. All rights reserved. Nokia and Nokia    
 * Connecting People are registered trademarks of Nokia Corporation. Java 
 * and all Java-based marks are trademarks or registered trademarks of 
 * Sun Microsystems, Inc. Other product and company names mentioned herein 
 * may be trademarks or trade names of their respective owners. Subject to the 
 * conditions below, you may, without charge: 
 *   Use, copy, modify and/or merge copies of this software and associated 
 *    documentation files (the Software) 
 *   Publish, distribute, sub-license and/or sell new software derived from or
 *    incorporating the Software. 
 * 
 * This license, unmodified, shall be included with all copies or substantial 
 * portions of the Software that are distributed in source code form. 
 * 
 * The Software cannot constitute the primary value of any new software derived 
 * from or incorporating the Software.Any person dealing with the Software 
 * shall not misrepresent the source of the Software. 
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING 
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS 
 * IN THE SOFTWARE. 
*/


// PACKAGE
package com.nokia.example;

// INTERNAL IMPORTS
import com.nokia.example.ui.ViewHandler;

// EXTERNAL IMPORTS
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;
import javax.microedition.midlet.MIDlet;
import javax.microedition.midlet.MIDletStateChangeException;

/**
 * Test MIDlet for JSR-272 Mobile Broadcast Services
 *
 * This MIDlet can be used for testing the basic functionalities
 * of the API
 */
public class MBSMIDlet extends MIDlet implements CommandListener
{
    /**
     * Constructor
     */
    public MBSMIDlet()
    {
        Display varDisplay = Display.getDisplay(this);

        try
        {
            // Prepare view handler
            ViewHandler varHandler = ViewHandler.getInstance();
            varHandler.setMIDlet(this);
            varHandler.setDisplay(varDisplay);
            // Activate main view
            varHandler.activateView(ViewHandler.MAIN_VIEW_ID);
        }
        catch (NoClassDefFoundError ncdfe)
        {
            ncdfe.printStackTrace();

            // API not installed in the phone.
            Form varForm = new Form("API not installed");
            varDisplay.setCurrent(varForm);
            varForm.addCommand(new Command("Exit", Command.EXIT, 0));
            varForm.setCommandListener(this);

            varForm.append("JSR-272 NOT SUPPORTED!\n");
            varForm.append("\nAPI version is: " +
                        System.getProperty("microedition.broadcast.version"));
            varForm.append("\nSupports recording: " + System.getProperty(
                        "microedition.broadcast.supports.timedrecording"));
            varForm.append("\nSupports file cache: " + System.getProperty(
                        "microedition.broadcast.supports.filecache"));
            varForm.append("\nSupports overlay: " + System.getProperty(
                        "microedition.broadcast.supports.overlay"));
            varForm.append("\nSupports purchasing: " + System.getProperty(
                        "microedition.broadcast.supports.purchasing"));
        }
    }

    public void startApp()
    {
    }

    public void pauseApp()
    {
    }

    public void destroyApp(boolean argUnconditional)
    {
    }

    public void commandAction(Command argCommand, Displayable argDisplayble)
    {
        notifyDestroyed();
    }
}

// End of File
