/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.nokia.example.ui;

import javax.microedition.broadcast.purchase.PriceOption;
import javax.microedition.broadcast.purchase.PurchaseListener;
import javax.microedition.broadcast.purchase.PurchaseObject;
import javax.microedition.broadcast.purchase.SubscriptionManager;

/**
 *
 */
public class PurchaseExample implements PurchaseListener
{
    private PurchaseObject[] purchaseOjects;
    private PriceOption[] priceOptions;

    public PurchaseObject[] getPurchaseObjects()
    {
        purchaseOjects = SubscriptionManager.getAllPurchaseObjects();
        return purchaseOjects;
    }

    public PriceOption[] getPriceOptions(int argIndex)
    {
        if(argIndex >= 0 && argIndex < purchaseOjects.length)
            priceOptions = purchaseOjects[argIndex].getPriceOptions();
        return priceOptions;
    }

    public void InitiatePurchase(int argPurchaseObjIndex, int argPriceOptIndex)
    {
        if(argPurchaseObjIndex < 0 || argPurchaseObjIndex > purchaseOjects.length)
            throw new IllegalArgumentException("Given purchase object index is wrong.");

        if(argPriceOptIndex < 0 || argPriceOptIndex > priceOptions.length)
            throw new IllegalArgumentException("Given price option index is wrong.");

        PurchaseObject selectedPurchaseObject = purchaseOjects[argPurchaseObjIndex];
        PriceOption selectedPriceOption = priceOptions[argPriceOptIndex];


        selectedPurchaseObject.addPurchaseListener(this);

        try
        {
            selectedPurchaseObject.purchase(selectedPriceOption);
        }
        catch (SecurityException se)
        {
            System.err.println("User has no rights to make purchase transactions");
        }
        catch (IllegalStateException ise)
        {
            System.err.println("PurchaseObject is not valid any longer");
        }
    }

    public void purchaseResponse(PurchaseObject argPurchaseObj, String argEvent, Object argEventData) {
        if(argEvent.equals(PURCHASE_STARTED))
        {
            System.out.println("User now will get a confirmation notification.");
        }
        else if(argEvent.equals(PURCHASE_APPROVED))
        {
            System.out.println("User approved for the confirmation notification.");
        }
        else if(argEvent.equals(PURCHASE_DENIED))
        {
            System.out.println("User denied for the confirmation notification.");
        }
        else if(argEvent.equals(PURCHASE_COMPLETED))
        {
            System.out.println("Purchase is successfully finished.");
        }
        else if(argEvent.equals(PURCHASE_FAILED))
        {
            System.out.println("Purchase is failed because of reason:" + (String) argEventData);
        }
    }
}
